Bug 1005344 - duplicate entries in volume property
duplicate entries in volume property
Status: POST
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Atin Mukherjee
:
: 1238608 (view as bug list)
Depends On:
Blocks: 1245168 1056028 1256268
  Show dependency treegraph
 
Reported: 2013-09-06 13:07 EDT by purpleidea
Modified: 2016-03-28 18:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1256268 (view as bug list)
Environment:
Last Closed: 2015-05-14 13:25:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description purpleidea 2013-09-06 13:07:31 EDT
On 09/06/2013 07:07 PM, James wrote:
> On Fri, 2013-09-06 at 09:27 -0400, James wrote:
>> Hi Gluster,
>>
>> I figured that I would mention a weird finding. If you run a:
>>
>> gluster volume set help
>>
>> you'll get a useful list of properties to set. After closer inspection,
>> I noticed that:
>>
>> network.tcp-window-size
>>
>> appears twice. This doesn't really bother me if it's just a silly
>> cosmetic thing, but I figured I'd mention it in case there was some
>> mistakenly duplicated code somewhere.
>>
>> Maybe someone can forward it to the appropriate dev.
>>
>> Cheers,
>> James
>>
> Actually, I found another one:
>
> # Size of the read cache.
> performance.cache-size    # default: 32MB
>
> # Size of the read cache.
> performance.cache-size    # default: 128MB
>
> However they have different defaults. Maybe someone can figure out which
> witch is which.
>
> Cheers,
> James

I will suggest you to file a bug in https://bugzilla.redhat.com/ for this.

Thanks,
Lala
Comment 1 Anand Avati 2015-04-02 00:41:48 EDT
REVIEW: http://review.gluster.org/10110 (glusterd: remove duplicate entries from volume set help) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 2 Anand Avati 2015-04-02 06:32:49 EDT
REVIEW: http://review.gluster.org/10110 (glusterd: remove duplicate entries from volume set help) posted (#2) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 3 Anand Avati 2015-04-06 00:29:56 EDT
COMMIT: http://review.gluster.org/10110 committed in master by Kaushal M (kaushal@redhat.com) 
------
commit e1e41ae67816ad6f23d074632c9d3f198e15aba3
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Thu Apr 2 10:09:39 2015 +0530

    glusterd: remove duplicate entries from volume set help
    
    gluster volume set help was displaying redundant entries for
    performance.cache-size & network.tcp-window-size as the same key is used in
    different translators. Fix is to consider all the redundant ones as NO_DOC
    
    Change-Id: I7739d992f6fdbb24765caedbb05099d269110476
    BUG: 1005344
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/10110
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>
Comment 4 Atin Mukherjee 2015-04-10 07:47:55 EDT
Moving it back to Assigned state as the patch doesn't fix the problem.
Comment 5 Niels de Vos 2015-05-14 13:25:34 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user
Comment 6 Niels de Vos 2015-05-14 13:35:26 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user
Comment 7 Niels de Vos 2015-05-14 13:37:47 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user
Comment 8 Niels de Vos 2015-05-14 13:42:17 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user
Comment 9 Atin Mukherjee 2015-07-20 00:04:03 EDT
Re opening this bug as this bug was moved to closed by mistake.
Comment 10 Anand Avati 2015-07-23 06:08:44 EDT
REVIEW: http://review.gluster.org/10262 (glusterd: Have unique volume options) posted (#6) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 11 Anand Avati 2015-08-11 04:37:16 EDT
REVIEW: http://review.gluster.org/10262 (glusterd: Have unique volume options) posted (#7) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 12 Anand Avati 2015-08-20 00:39:46 EDT
REVIEW: http://review.gluster.org/10262 (glusterd: Have unique volume options) posted (#8) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 13 Anand Avati 2015-08-20 05:18:00 EDT
REVIEW: http://review.gluster.org/10262 (glusterd: Have unique volume options) posted (#9) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 14 Anand Avati 2015-08-20 07:40:00 EDT
REVIEW: http://review.gluster.org/10262 (glusterd: Have unique volume options) posted (#10) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 15 Anand Avati 2015-08-26 00:30:55 EDT
REVIEW: http://review.gluster.org/10262 (glusterd: Have unique volume options) posted (#13) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 16 Saravanakumar 2015-09-09 05:57:10 EDT
*** Bug 1238608 has been marked as a duplicate of this bug. ***
Comment 17 Mike McCune 2016-03-28 18:14:36 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.